﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart.Resources;
using System.Collections;
using Infragistics.UltraChart.Shared.Styles;

namespace WinChartStackedBar
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

            this.ultraChart1.BarChart.ChartText[0].ItemFormatString = "<DATA_VALUE_ITEM>";

            ultraChart1.DataSource = GetBarData();
            ultraChart1.Data.SwapRowsAndColumns = true;
            ultraGrid1.DataSource = ultraChart1.DataSource;

            ultraChart1.ColorModel.CustomPalette = new Color[] 
{ 
    Color.Blue, 
    Color.Red, 
    Color.Yellow, 
    Color.Turquoise, 
    Color.Magenta, 
    Color.Salmon 
};

            ultraChart1.ColorModel.ModelStyle = ColorModels.CustomLinear;


        }

        #region Data for Bar Chart
        private DataTable GetBarData()
        {
            //DataTable mydata = new DataTable();
            ////Define the columns and their names
            //mydata.Columns.Add("Series Label", typeof(string));
            //mydata.Columns.Add("0 - 39 (Critical)", typeof(int));
            //mydata.Columns.Add("40 - 64 (Very Poor)", typeof(int));
            //mydata.Columns.Add("65 - 79 (Poor)", typeof(int));
            //mydata.Columns.Add("80 - 89 (Fair)", typeof(int));
            //mydata.Columns.Add("90 - 94 (Good)", typeof(int));
            //mydata.Columns.Add("95 - 100 (Very Good)", typeof(int));

            ////Add the rows of data

            //mydata.Rows.Add();

            //mydata.Rows.Add(new Object[] { "Bar A", 60,80,130,300,290,140});

            //mydata.Rows.Add();

            DataTable dt = new DataTable();
            dt.Columns.Add("label", typeof(string));
            dt.Columns.Add("Condition Scores", typeof(int));
            dt.Rows.Add("0 - 39 (Critical)", 60);
            dt.Rows.Add("40 - 64 (Very Poor)", 80);
            dt.Rows.Add("65 - 79 (Poor)", 130);
            dt.Rows.Add("80 - 89 (Fair)", 300);
            dt.Rows.Add("90 - 94 (Good)", 290);
            dt.Rows.Add("95 - 100 (Very Good)", 140);


            return dt;
        }
        #endregion

    }


}
